﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using Chop.Database;
using System.Data;

namespace Chop.Game.Rooms.Furniture
{
    public class FurnitureManager
    {
        public static List<Furniture> GetFurniture(uint userID)
        {
            List<Furniture> furniture = new List<Furniture>();
            DataTable table;
            using (DatabaseClient dbClient = Core.DatabaseManager.GetClient())
            {
                dbClient.AddParamWithValue("id", userID);
                table = dbClient.ReadDataTable("SELECT * FROM furniture WHERE ownerid = @id");
            }
            foreach (DataRow row in table.Rows)
                furniture.Add(Furniture.Parse(row));

            return furniture;
        }
    }
}
