﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace Chop.Game.Messages.IDs
{
    public class OutgoingMessages
    {
        public const short SecretKeyEvent = 1;
        public const short InitCryptoMessageEvent = 277;
        public const short SessionParamsMessageEvent = 257;
        public const short UserRightsMessageEvent = 2;
        public const short AuthenticationOKMessageEvent = 3;
        public const short PingMessageEvent = 50;
        public const short UserObjectEvent = 5;
        public const short UniqueMachineIDEvent = 439;
        public const short GenericErrorEvent = 33;
        public const short DisconnectReasonEvent = 287;
        public const short IdentityAccountsEvent = 626;
        public const short AvailabilityStatusMessageEvent = 290;
        public const short InfoHotelClosingMessageEvent = 291;
        public const short InfoHotelClosedMessageEvent = 292;
        public const short AvailabilityTimeMessageEvent = 293;
        public const short LoginFailedHotelClosedMessageEvent = 294;
        public const short MessengerInitEvent = 12;
        public const short NewBuddyRequestEvent = 132;
        public const short NewConsoleMessageEvent = 134;
        public const short MessengerErrorEvent = 260;
        public const short InstantMessageErrorEvent = 261;
        public const short BuddyRequestsEvent = 314;
        public const short AcceptBuddyResultEvent = 315;
        public const short FriendListUpdateEvent = 13;
        public const short HabboSearchResultEvent = 435;
        public const short FollowFriendFailedEvent = 349;
        public const short RoomInviteErrorEvent = 262;
        public const short RoomInviteEvent = 135;
        public const short FindFriendsProcessResultEvent = 831;
        public const short FriendNotificationEvent = 833;
        public const short EventStreamEvent = 950;
        public const short CreditBalanceEvent = 6;
        public const short FurniListInsertEvent = 98;
        public const short FurniListRemoveEvent = 99;
        public const short FurniListUpdateEvent = 101;
        public const short FurniListEvent = 140;
        public const short PostItPlacedEvent = 145;
        public const short AvatarEffectsMessageEvent = 460;
        public const short AvatarEffectAddedMessageEvent = 461;
        public const short AvatarEffectActivatedMessageEvent = 462;
        public const short AvatarEffectExpiredMessageEvent = 463;
        public const short AvatarEffectSelectedMessageEvent = 464;
        public const short BadgesEvent = 229;
        public const short BadgePointLimitsEvent = 627;
        public const short AchievementsEvent = 436;
        public const short AchievementsScoreEvent = 443;
        public const short AchievementEvent = 913;
        public const short TradingYouAreNotAllowedEvent = 102;
        public const short TradingOtherNotAllowedEvent = 103;
        public const short TradingOpenEvent = 104;
        public const short TradingAlreadyOpenEvent = 105;
        public const short TradingNotOpenEvent = 106;
        public const short TradingNoSuchItemEvent = 107;
        public const short TradingItemListEvent = 108;
        public const short TradingAcceptEvent = 109;
        public const short TradingCloseEvent = 110;
        public const short TradingConfirmationEvent = 111;
        public const short TradingCompletedEvent = 112;
        public const short PetInventoryEvent = 600;
        public const short PetAddedToInventoryEvent = 603;
        public const short PetRemovedFromInventoryEvent = 604;
        public const short PetReceivedMessageEvent = 607;
        public const short MarketplaceMakeOfferResult = 610;
        public const short MarketplaceCanMakeOfferResult = 611;
        public const short MarketplaceConfigurationEvent = 612;
        public const short MarketplaceBuyOfferResultEvent = 613;
        public const short MarketplaceCancelOfferResultEvent = 614;
        public const short MarketPlaceOffersEvent = 615;
        public const short MarketPlaceOwnOffersEvent = 616;
        public const short MarketplaceItemStatsEvent = 617;
        public const short UserFlatCatsEvent = 221;
        public const short FlatCatEvent = 222;
        public const short CanCreateRoomEventEvent = 367;
        public const short RoomEventEvent = 370;
        public const short DoorbellMessageEvent = 91;
        public const short FlatAccessDeniedMessageEvent = 131;
        public const short RoomSettingsDataEvent = 465;
        public const short RoomSettingsErrorEvent = 466;
        public const short RoomSettingsSavedEvent = 467;
        public const short RoomSettingsSaveErrorEvent = 468;
        public const short NoSuchFlatEvent = 44;
        public const short OfficialRoomsEvent = 450;
        public const short GuestRoomSearchResultEvent = 451;
        public const short PopularRoomTagsResultEvent = 452;
        public const short PublicSpaceCastLibsEvent = 453;
        public const short GetGuestRoomResultEvent = 454;
        public const short NavigatorSettingsEvent = 455;
        public const short RoomInfoUpdatedEvent = 456;
        public const short RoomThumbnailUpdateResultEvent = 457;
        public const short FavouritesEvent = 458;
        public const short FavouriteChangedEvent = 459;
        public const short FlatCreatedEvent = 59;
        public const short RoomRatingEvent = 345;
        public const short FlatControllerAddedEvent = 510;
        public const short FlatControllerRemovedEvent = 511;
        public const short CanCreateRoomEvent = 512;
        public const short CloseConnectionMessageEvent = 18;
        public const short OpenConnectionMessageEvent = 19;
        public const short RoomQueueStatusMessageEvent = 259;
        public const short RoomForwardMessageEvent = 286;
        public const short ChatMessageEvent = 24;
        public const short WhisperMessageEvent = 25;
        public const short ShoutMessageEvent = 26;
        public const short UserTypingMessageEvent = 361;
        public const short FloodControlMessageEvent = 27;
        public const short FlatAccessibleMessageEvent = 41;
        public const short RoomReadyMessageEvent = 69;
        public const short UsersMessageEvent = 28;
        public const short UserRemoveMessageEvent = 29;
        public const short HeightMapMessageEvent = 31;
        public const short ObjectsMessageEvent = 32;
        public const short UserUpdateMessageEvent = 34;
        public const short ItemsMessageEvent = 45;
        public const short ItemDataUpdateMessageEvent = 48;
        public const short ItemAddMessageEvent = 83;
        public const short ItemRemoveMessageEvent = 84;
        public const short ItemUpdateMessageEvent = 85;
        public const short ObjectAddMessageEvent = 93;
        public const short ViralTeaserActiveMessageEvent = 805;
        public const short ObjectDataUpdateMessageEvent = 88;
        public const short ObjectRemoveMessageEvent = 94;
        public const short ObjectUpdateMessageEvent = 95;
        public const short PetInfoMessageEvent = 210;
        public const short HeightMapUpdateMessageEvent = 219;
        public const short SlideObjectBundleMessageEvent = 230;
        public const short YouAreSpectatorMessageEvent = 254;
        public const short UserChangeMessageEvent = 266;
        public const short RoomDimmerPresetsMessageEvent = 365;
        public const short FloorHeightMapMessageEvent = 470;
        public const short RoomEntryInfoMessageEvent = 471;
        public const short RoomVisualizationSettingsEvent = 472;
        public const short ObjectsDataUpdateMessageEvent = 473;
        public const short PlaceObjectErrorMessageEvent = 516;
        public const short UserNameChangedMessageEvent = 572;
        public const short ViralFurniGiftReceivedEvent = 806;
        public const short ViralFurniStatusEvent = 807;
        public const short UserNotificationMessageEvent = 808;
        public const short WelcomeGiftStatusEvent = 829;
        public const short FurnitureAliasesMessageEvent = 297;
        public const short RoomPropertyMessageEvent = 46;
        public const short YouAreControllerMessageEvent = 42;
        public const short YouAreNotControllerMessageEvent = 43;
        public const short YouAreOwnerMessageEvent = 47;
        public const short RequestSpamWallPostItMessageEvent = 911;
        public const short RoomMessageNotificationMessageEvent = 912;
        public const short CantConnectMessageEvent = 224;
        public const short PetInfoMessageEvent2 = 601;
        public const short PetCommandsMessageEvent = 605;
        public const short PetPlacingErrorEvent = 608;
        public const short PetExperienceEvent = 609;
        public const short PetRespectFailedEvent = 621;
        public const short DanceMessageEvent = 480;
        public const short WaveMessageEvent = 481;
        public const short CarryObjectMessageEvent = 482;
        public const short AvatarEffectMessageEvent = 485;
        public const short SleepMessageEvent = 486;
        public const short UseObjectMessageEvent = 488;
        public const short DiceValueMessageEvent = 90;
        public const short PresentOpenedMessageEvent = 129;
        public const short OpenPetPackageRequestedMessageEvent = 825;
        public const short OpenPetPackageResultMessageEvent = 826;
        public const short OneWayDoorStatusMessageEvent = 312;
        public const short PublicRoomObjectsMessageEvent = 30;
        public const short DoorOtherEndDeletedMessageEvent = 63;
        public const short DoorNotInstalledMessageEvent = 64;
        public const short UserTagsMessageEvent = 350;
        public const short HabboUserBadgesMessageEvent = 228;
        public const short HabboGroupBadgesMessageEvent = 309;
        public const short FavoriteMembershipUpdateMessageEvent = 310;
        public const short HabboGroupDetailsMessageEvent = 311;
        public const short HabboGroupsWhereMemberMessageEvent = 915;
        public const short HabboGroupJoinFailedMessageEvent = 916;
        public const short IgnoreResultMessageEvent = 419;
        public const short IgnoredUsersMessageEvent = 420;
        public const short RespectNotificationMessageEvent = 440;
        public const short PetRespectNotificationEvent = 606;
        public const short UserBannedMessageEvent = 35;
        public const short ModMessageEvent = 161;
        public const short IssueDeletedMessageEvent = 273;
        public const short IssueInfoMessageEvent = 530;
        public const short ModeratorInitMessageEvent = 531;
        public const short IssuePickFailedMessageEvent = 532;
        public const short ModeratorUserInfoEvent = 533;
        public const short CfhChatlogEvent = 534;
        public const short RoomChatlogEvent = 535;
        public const short UserChatlogEvent = 536;
        public const short RoomVisitsEvent = 537;
        public const short ModeratorRoomInfoEvent = 538;
        public const short ModeratorActionResultMessageEvent = 539;
        public const short CallForHelpReplyMessageEvent = 274;
        public const short CallForHelpPendingCallsMessageEvent = 319;
        public const short CallForHelpPendingCallsDeletedMessageEvent = 320;
        public const short CallForHelpResultMessageEvent = 321;
        public const short FaqClientFaqsMessageEvent = 518;
        public const short FaqCategoriesMessageEvent = 519;
        public const short FaqTextMessageEvent = 520;
        public const short FaqSearchResultsMessageEvent = 521;
        public const short FaqCategoryMessageEvent = 522;
        public const short IssueCloseNotificationMessageEvent = 540;
        public const short TutorialStatusMessageEvent = 575;
        public const short HotelMergeNameChangeEvent = 573;
        public const short ErrorReportEvent = 299;
        public const short ChangeEmailResultEvent = 830;
        public const short ScrSendUserInfoEvent = 7;
        public const short HabboBroadcastMessageEvent = 139;
        public const short ClubGiftNotificationEvent = 280;
        public const short HabboAchievementNotificationMessageEvent = 437;
        public const short HabboAchievementBonusMessageEvent = 445;
        public const short HabboAchievementShareIdMessageEvent = 444;
        public const short HabboActivityPointNotificationMessageEvent = 438;
        public const short ActivityPointsMessageEvent = 628;
        public const short InfoFeedEnableMessageEvent = 517;
        public const short PetLevelNotificationEvent = 602;
        public const short MOTDNotificationEvent = 810;
        public const short UnseenItemsEvent = 832;
        public const short CatalogIndexMessageEvent = 126;
        public const short CatalogPageMessageEvent = 127;
        public const short PurchaseErrorMessageEvent = 65;
        public const short PurchaseOKMessageEvent = 67;
        public const short NotEnoughBalanceMessageEvent = 68;
        public const short GiftReceiverNotFoundEvent = 76;
        public const short PurchaseNotAllowedMessageEvent = 296;
        public const short CatalogPublishedMessageEvent = 441;
        public const short VoucherRedeemOkMessageEvent = 212;
        public const short VoucherRedeemErrorMessageEvent = 213;
        public const short GiftWrappingConfigurationEvent = 620;
        public const short IsOfferGiftableMessageEvent = 622;
        public const short ClubGiftInfoEvent = 623;
        public const short ClubGiftSelectedEvent = 624;
        public const short HabboClubOffersMessageEvent = 625;
        public const short ChargeInfoMessageEvent = 629;
        public const short SellablePetBreedsMessageEvent = 827;
        public const short HabboClubExtendOfferMessageEvent = 630;
        public const short RecyclerPrizesMessageEvent = 506;
        public const short RecyclerStatusMessageEvent = 507;
        public const short RecyclerFinishedMessageEvent = 508;
        public const short RoomAdMessageEvent = 208;
        public const short InterstitialMessageEvent = 258;
        public const short LatencyPingResponseMessageEvent = 354;
        public const short VoteQuestionMessageEvent = 79;
        public const short VoteResultMessageEvent = 80;
        public const short PollOfferEvent = 316;
        public const short PollContentsEvent = 317;
        public const short PollErrorEvent = 318;
        public const short ParkBusCannotEnterMessageEvent = 81;
        public const short ParkBusDoorMessageEvent = 503;
        public const short OpenLockerRoomMessageEvent = 96;
        public const short ApproveNameMessageEvent = 36;
        public const short SoundSettingsEvent = 308;
        public const short TraxSongInfoMessageEvent = 300;
        public const short PlayListMessageEvent = 323;
        public const short UserSongDisksInventoryMessageEvent = 333;
        public const short JukeboxSongDisksMessageEvent = 334;
        public const short PlayListSongAddedMessageEvent = 335;
        public const short NowPlayingMessageEvent = 327;
        public const short JukeboxPlayListFullMessageEvent = 337;
        public const short WardrobeMessageEvent = 267;
        public const short ChangeUserNameResultMessageEvent = 570;
        public const short CheckUserNameResultMessageEvent = 571;
        public const short WiredFurniTriggerEvent = 650;
        public const short WiredFurniActionEvent = 651;
        public const short WiredFurniConditionEvent = 652;
        public const short OpenEvent = 653;
        public const short YouArePlayingGameMessageEvent = 700;
        public const short GamePlayerValueMessageEvent = 701;
        public const short QuestsMessageEvent = 800;
        public const short QuestCompletedMessageEvent = 801;
        public const short QuestMessageEvent = 802;
        public const short QuestsMessageEvent2 = 803;
        public const short FaceBookAuthenticateEvent = 901;
        public const short FaceBookErrorEvent = 902;
        public const short FaceBookAppRequestEvent = 910;
        public const short CameraSnapshotMessageEvent = 1000;

    }
}
